aboutsummaryrefslogtreecommitdiff
path: root/development/github-desktop
diff options
context:
space:
mode:
authorJay Lanagan <j@lngn.net>2023-10-07 08:53:08 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-10-07 08:53:08 +0700
commit1e48f6c62688debae7c91a2c6b74ba3276d94175 (patch)
treebf991c08144df36f27c4fa9dbfb3620990324a04 /development/github-desktop
parent35469dcd03072394c37a1d2971cd0d65b7a6ef0a (diff)
development/github-desktop: Added (GitHub Desktop Client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/github-desktop')
-rw-r--r--development/github-desktop/README14
-rw-r--r--development/github-desktop/doinst.sh9
-rw-r--r--development/github-desktop/github-desktop.SlackBuild112
-rw-r--r--development/github-desktop/github-desktop.info10
-rw-r--r--development/github-desktop/slack-desc19
5 files changed, 164 insertions, 0 deletions
diff --git a/development/github-desktop/README b/development/github-desktop/README
new file mode 100644
index 0000000000000..65e18971d5d9e
--- /dev/null
+++ b/development/github-desktop/README
@@ -0,0 +1,14 @@
+
+github-desktop (Desktop client for GitHub)
+
+This is a re-pack of the official DEB package.
+
+Fork of GitHub Desktop to support various Linux distributions.
+
+64-bit only. It will spit an error on a 32-bit system.
+
+The script also supports aarch64 but you must manually wget the file
+as the .info cannot support it directly.
+
+arm64/aarch64 link:
+https://github.com/shiftkey/desktop/releases/download/release-3.3.1-linux1/GitHubDesktop-linux-arm64-3.3.1-linux1.deb
diff --git a/development/github-desktop/doinst.sh b/development/github-desktop/doinst.sh
new file mode 100644
index 0000000000000..65c7e2eeb9aa5
--- /dev/null
+++ b/development/github-desktop/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/github-desktop/github-desktop.SlackBuild b/development/github-desktop/github-desktop.SlackBuild
new file mode 100644
index 0000000000000..b9619a08aaf8f
--- /dev/null
+++ b/development/github-desktop/github-desktop.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/bash
+
+# Slackware build script for github-desktop
+#
+# Copyright 2023 Jay Lanagan (j@lngn.net), Detroit, MI, USA.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=github-desktop
+SRCNAM=GitHubDesktop
+VERSION=${VERSION:-3.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ DEBARCH="i386"
+ LIBDIRSUFFIX=""
+ echo "This package is currently only available for 64bit."
+ exit 1
+elif [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ DEBARCH="arm64"
+ LIBDIRSUFFIX="64"
+else
+ echo "Package for $(uname -m) architecture is not available."
+ exit 1
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar x $CWD/${SRCNAM}-linux-$DEBARCH-${VERSION}-linux1.deb data.tar.xz
+tar xvf $PKG/data.tar.xz
+rm $PKG/data.tar.xz
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# fix the symlink
+mkdir -p $PKG/usr/bin
+rm -rf $PKG/usr/bin/github-desktop
+ln -sf ../lib64/github-desktop/github-desktop $PKG/usr/bin/github-desktop
+
+# fix libs location
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+mv $PKG/usr/lib/* $PKG/usr/lib${LIBDIRSUFFIX}
+rm -rf $PKG/usr/lib
+
+# make these files exec so sbopkglint don't complain
+chmod 755 $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/resources/app/{keytar,desktop-notifications,fs_admin}.node
+
+# move docs and remove lintian dir:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc $PKG/usr/share/lintian
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/github-desktop/github-desktop.info b/development/github-desktop/github-desktop.info
new file mode 100644
index 0000000000000..96fd6e503a081
--- /dev/null
+++ b/development/github-desktop/github-desktop.info
@@ -0,0 +1,10 @@
+PRGNAM="github-desktop"
+VERSION="3.3.1"
+HOMEPAGE="https://github.com/shiftkey/desktop/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/shiftkey/desktop/releases/download/release-3.3.1-linux1/GitHubDesktop-linux-amd64-3.3.1-linux1.deb"
+MD5SUM_x86_64="404d4a91acaf7a080541e820dcf9a730"
+REQUIRES=""
+MAINTAINER="Jay Lanagan"
+EMAIL="j@lngn.net"
diff --git a/development/github-desktop/slack-desc b/development/github-desktop/slack-desc
new file mode 100644
index 0000000000000..c6a0ea05abbda
--- /dev/null
+++ b/development/github-desktop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+github-desktop: github-desktop (GitHub Desktop client)
+github-desktop:
+github-desktop: Fork of GitHub Desktop to support various Linux distributions.
+github-desktop:
+github-desktop: Homepage: https://github.com/shiftkey/desktop
+github-desktop:
+github-desktop:
+github-desktop:
+github-desktop:
+github-desktop:
+github-desktop: